%define name 	mp3c
%define version 0.27
%define release 1mdk

Summary: 	MP3 creator for audiocds with usage of CDDB
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Sound
Source: 	%{name}-%{version}.tar.bz2
Patch:		mp3c-oggenc.diff.bz2
Url:		http://excelsior.kullen.rwth-aachen.de/WSPse/Linux-MP3c.php3
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
This program reads the TOC from audio CDs, gets the CDDB entry for it, 
and converts the audio tracks to mp3 or Ogg Vorbis format.
(under usage of any CD grabber and encoder).

It has a comfortable text-based UI, but you can also create a shell script for 
automated processing of a CD.

The default settings require oggenc from the vorbis-tools package and 
cdparanoia.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch 

%build
%configure --with-cddb-path=%{_datadir}/apps/kscd/cddb 
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%{find_lang} %{name}



%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BATCH.README BUGS CDDB_HOWTO ChangeLog FAQ NEWS OTHERS 
%doc README patches/cdparanoia.diff patches/encoder.diff TODO
%{_bindir}/mp3c
%{_mandir}/man1/mp3c.1*


%changelog
* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.27-1mdk
- fixed & updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.2.7
	- patched default config, we use the ogg format
	- changed description

* Thu Feb 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.26-1mdk
- used srpm from Christian Zoffoli <czoffoli@linux-mandrake.com> 
	- new package

